package com.njcn.process.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.process.pojo.param.SupvAlarmParam;
import com.njcn.process.pojo.po.SupvAlarm;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wr
 * @since 2023-09-01
 */
public interface ISupvAlarmService extends IService<SupvAlarm> {

    boolean addAlarm(SupvAlarmParam.AlarmInsert param);

    boolean updateAlarm(SupvAlarmParam.AlarmUpdate param);

    boolean delAlarm(List<String> planIds);

    Page<SupvAlarm> pageAlarm(SupvAlarmParam param);

    void downAlarm();
}
